Skip to main content
PUT
Update a user's status

Authorizations

JSESSIONID
string
cookie
required

Path Parameters

userId
integer<int64>
required

The unique ID number of the user

Body

application/json

The desired status of the ULM runtime

status
enum<string>
required

The status of the entity. Possible values include:

  • activating - The entity has been provisioned, but is not yet ready to be used or consumed.
  • activated - The entity is active, and the functionality to which it is tied is enabled.
  • suspended - The entity is temporarily deactivated, but can be reactivated in the future.
  • deactivated - The entity is permanently deactivated, and may be deleted from the system in the near future.
  • pending - The entity has been added but is not yet verified for use. It may be linked to an existing entity in order to eventually replace the original entity.
  • unknown - This is a generic, catch all state for specific entities.

Note: This field is the current status in GET calls, and the desired status in PUT and POST calls.

Available options:
activating,
activated,
suspended,
deactivated,
pending,
unknown
Example:

"activated"

Response

OK - updated user's status

The object that contains user properties and attributes.

id
integer<int64>

The unique ID number of the Connect entity.

Example:

1

avatarUrl
string

The URL of the user’s avatar

Example:

"http://myavatar/johnsmith"

displayName
string

The display name of the entity

Example:

"Entity display name"

status
enum<string>

The status of the entity. Possible values include:

  • activating - The entity has been provisioned, but is not yet ready to be used or consumed.
  • activated - The entity is active, and the functionality to which it is tied is enabled.
  • suspended - The entity is temporarily deactivated, but can be reactivated in the future.
  • deactivated - The entity is permanently deactivated, and may be deleted from the system in the near future.
  • pending - The entity has been added but is not yet verified for use. It may be linked to an existing entity in order to eventually replace the original entity.
  • unknown - This is a generic, catch all state for specific entities.

Note: This field is the current status in GET calls, and the desired status in PUT and POST calls.

Available options:
activating,
activated,
suspended,
deactivated,
pending,
unknown
Example:

"activated"

type
string

A particular type of a given entity.

Example:

"com.uxpsystems.ulm.entity.RegularEntityType"

credentialSet
boolean

Whether or not the user currently has a password set. This field exists because the 'credential' field is not returned once set; this field allows to provide some information about the password

Example:

true

passcodeSet
boolean

Whether or not the user currently has a passcode set. This field exists because the 'passcode' field is not returned once set; this field allows to provide some information about the passcode

Example:

false

pinSet
boolean

Whether or not the user currently has a PIN set. This field exists because the 'pin' field is not returned once set; this field allows to provide some information about the passcode

Example:

false

locked
boolean

Whether or not the user currently is locked user due to multiple invalid login attemptes

Example:

false

lockedUntil
number<int64>

The time untill the user is locked due to multiple invalid login attemptes

Example:

1651180416000

createdDate
number<int64>

The entity’s creation date and time in UNIX Epoch time

Example:

1651180416000

activatedDate
number<int64>

The entity’s activation date and time, expressed in UNIX Epoch time

Example:

1651180416000

deactivatedDate
number<int64>

The entity’s deactivation date and time, expressed in UNIX Epoch time

Example:

1651180416000

suspendedDate
number<int64>

The entity’s suspension date and time, expressed in UNIX Epoch time

Example:

1651180416000

updatedDate
number<int64>

The most recent date and time that the entity was updated, expressed in UNIX Epoch time

Example:

1651180416000

attributes
object

User Attributes